open Types

(* cannot get an authentication *)
exception Auth_failed

(* port on which the server is listening *)
val port : int ref

(* from where can we connect *)
val connect_from : Str.regexp option ref

(* read the configuration file *)
val init : string -> unit

(* do we need a proxy for this site *)
val need_proxy : string -> Unix.sockaddr option

(* give the profile for this authentication (or raise an exception) *)
val get_profile : string -> profile

(* test if an url is allowed or not *)
val ok_url : string -> profile -> bool

(* test if this line of header is allowed *)
val ok_header : string -> bool
